########################################################################
#
# File Name: 	        Repository.py
#
# Documentation:	http://docs.ftsuite.com/4ODS/Repository.py.html
#
"""
Implements the Repository meta-data interface.
WWW: http://4suite.org/4ODS         e-mail: support@4suite.org

Copyright (c) 1999 Fourthought, Inc., USA.   All Rights Reserved.
See  http://4suite.org/COPYRIGHT  for license and copyright information
"""

from Ft.Ods.MetaData import Module
from Ft.Ods.MetaData import MetaKind

class Repository(Module.Module):
    def __init__(self,db,data):
        Module.Module.__init__(self,db,data,MetaKind.mk_repository)

    def _4ods_getOdl(self,indent=''):
        st = ''
        for d in self.defines:
            st = st + d._4ods_getOdl('')
            st = st + ';\n'
        return st


    _tupleNames = ()
    _tupleDefs = {}
